version: "3.8"
services:
  nuxt:
    container_name: nuxt3
    build: ./cmd_cygamesid # Build app image following Dockerfile instructions.
    ports:
      - "3116:3116" # Publish container port to host port.
      #- "24678:24678"
    volumes:
      - ./cmd_cygamesid:/nuxt3 # Sync local files and container files 
      - /nuxt3/node_modules/ # Prevent sync of node_modules folder. It avoids OS issues when building this app and its dependencies locally. Please note, that building this app locally isn't necessary to run it in a container, but it is still possible.
